if (obj_pControl.holding)
{
	//sets sprite to holding
	sprite_index = spr_gunHeld;
	
	//being at player
	x = obj_pPlayer.x;
	y = obj_pPlayer.y;

	//
	image_angle = point_direction(x, y, mouse_x, mouse_y) * rspd

	//shooting
	firingdelay = firingdelay - 1;
	recoil = max(0, recoil - 1);

	if mouse_check_button_pressed(mb_left) and (firingdelay < 0) 
	{
		recoil = 8;
		firingdelay = 5;
		if (ammo > 0)
		{
			ammo--;
			audio_play_sound(snd_shooting, 1, false, , , random_range(1,1.1))
		}
		if (ammo > 0)
		{
			with (instance_create_layer(x, y, "bullets", obj_bullet))
			{
				spread = 1;
				speed = 25;
				direction = other.image_angle + random_range(-spread, spread);
				image_angle = direction;
				alarm_set(2, (room_speed * 2))
			}
		}
		if (ammo < 0)
		{
			audio_play_sound(snd_shooting_noammo, 1, false, , , random_range(1,1.1))	
		}
	}
	if keyboard_check_pressed(ord("R")) and (total_ammo > 0)
	{
		recoil = 4;
		total_ammo -= 10 - ammo;
		ammo = 10;
		audio_play_sound(snd_reload, 1, false, , , random_range(1,1.1))
		
	}
	
	

	x = x - lengthdir_x(recoil,image_angle);
	y = y - lengthdir_y(recoil,image_angle);
}
else
{
	image_angle = 0;
	sprite_index = spr_gunDropped;
	
	bobbing()
	if distance_to_object(obj_pControl) < 5
	{
		draw_sprite(spr_tutPickup, 0, x, y + 10)	
	}
}